PKGCTL-REPO(1)

NAME
pkgctl-repo - Manage Git packaging repositories and their configuration

SYNOPSIS

pkgctl repo [OPTIONS] [SUBCOMMAND]

DESCRIPTION

Manage Git packaging repositories and helps with their configuration according to distro specs.

Git author information and the used signing key is set up from makepkg.conf read from any valid location like /etc or XDG_CONFIG_HOME. The configure command can be used to synchronize the distro specs and makepkg.conf settings for previously cloned repositories.

The unprivileged option can be used for cloning packaging repositories without SSH access using read-only HTTPS.

OPTIONS

-h, --help
    Show a help text

SUBCOMMANDS

pkgctl repo clean
    Remove untracked files from the working tree

pkgctl repo clone
    Clone a package repository

pkgctl repo configure
    Configure a clone according to distro specs

pkgctl repo create
    Create a new GitLab package repository

pkgctl repo switch
    Switch a package repository to a specified version

pkgctl repo web
    Open the packaging repository’s website

SEE ALSO

pkgctl-repo-clean(1) pkgctl-repo-clone(1) pkgctl-repo-configure(1) pkgctl-repo-create(1) pkgctl-repo-switch(1) pkgctl-repo-web(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.